PETSc version 3.15.5
Fix/Edit manual page

# DMPlexSetSNESLocalFEM

Use DMPlex's internal FEM routines to compute SNES boundary values, residual, and Jacobian.

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSetSNESLocalFEM(DM dm, void *boundaryctx, void *residualctx, void *jacobianctx)

### Input Parameters

| dm | - The DM object
| boundaryctx | - the user context that will be passed to pointwise evaluation of boundary values (see PetscDSAddBoundary())
| residualctx | - the user context that will be passed to pointwise evaluation of finite element residual computations (see PetscDSSetResidual())
| jacobianctx | - the user context that will be passed to pointwise evaluation of finite element Jacobian construction (see PetscDSSetJacobian())

### Level

developer

### Location

src/snes/utils/dmplexsnes.c

### Examples

src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/tao/tutorials/ex1.c.html
src/tao/tutorials/ex2.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages